liblas-c3_1.8.1-10_amd64.deb


Advertisement

Description

liblas-c3 - ASPRS LiDAR data translation library - C version

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename liblas-c3_1.8.1-10_amd64.deb
Package name liblas-c3
Package version 1.8.1
Package release 10
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://liblas.org/
License -
Maintainer Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Download size 68.68 KB
Installed size 295.00 KB
libLAS is a C/C++ library for reading and writing ASPRS LAS versions
1.0, 1.1 and 1.2 data. The LAS format is a sequential binary format
used to store data from sensors and as intermediate processing storage
by some LiDAR-related applications. LiDAR (Light Detection and Ranging)
is an optical remote sensing technology that measures properties of
scattered light to find range and/or other information of a distant
target. The prevalent method to determine distance to an object or
surface is to use laser pulses.
This package contains the C shared library used by applications.

Alternatives

Package Version Architecture Repository
liblas-c3_1.8.1-10_i386.deb 1.8.1 i386 Debian Main
liblas-c3 - - -

Requires

Name Value
libboost-atomic1.67.0 -
libboost-chrono1.67.0 -
libboost-date-time1.67.0 -
libboost-filesystem1.67.0 -
libboost-iostreams1.67.0 -
libboost-program-options1.67.0 -
libboost-regex1.67.0 >= 1.67.0-10
libboost-system1.67.0 -
libboost-thread1.67.0 -
libc6 >= 2.14
libgcc1 >= 1:3.0
libgdal20 >= 2.4.0
libgeotiff2 >= 1.3.0
liblas3 = 1.8.1-10
libstdc++6 >= 5.2
libtiff5 >= 4.0.3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblas-c3_1.8.1-10_amd64.deb
Source Package liblas

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblas-c3 deb package:
    # sudo apt-get install liblas-c3

Files

Path
/usr/lib/liblas_c.so.2.4.0
/usr/lib/liblas_c.so.3
/usr/share/doc/liblas-c3/changelog.Debian.gz
/usr/share/doc/liblas-c3/copyright
/usr/share/lintian/overrides/liblas-c3

Changelog

2019-02-16 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-10) unstable; urgency=medium
* Add upstream patch to fix CVE-2018-20540.
(closes: #922459)
* Append -DNDEBUG to C{,XX}FLAGS to remove buildpath from binaries.
* Update symbols for amd64.
* Add lintian overrides for file-references-package-build-path.
2019-01-02 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-9) unstable; urgency=medium
* Bump Standards-Version to 4.3.0, no changes.
* Update symbols for other architectures.
* Require at least libgdal-dev 2.4.0.
* Move from experimental to unstable.
2018-12-20 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-9~exp1) experimental; urgency=medium
* Bump Standards-Version to 4.2.1, no changes.
* Add Build-Depends-Package field to symbols files.
* Require at least libgdal-dev 2.4.0~ for experimental builds.
* Update symbols for amd64.
2018-07-31 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-8) unstable; urgency=medium
* Bump Standards-Version to 4.1.5, no changes.
* Drop autopkgtest to test installability.
* Add lintian override for testsuite-autopkgtest-missing.
* Update symbols for amd64.
2018-05-24 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-7) unstable; urgency=medium
* Update symbols for other architectures.
* Move from experimental to unstable.
2018-05-11 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-7~exp2) experimental; urgency=medium
* Drop ancient X-Python-Version field.
* Strip trailing whitespace from control & rules files.
* Update symbols for other architectures.
* Add upstream patches for GDAL 2.3.0 compatibility.
* Require at least libgdal-dev 2.3.0.
2018-04-22 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-7~exp1) experimental; urgency=medium
* Update copyright-format URL to use HTTPS.
* Fix deprecated source override location.
* Update watch file to use HTTPS.
* Update Vcs-* URLs for Salsa.
* Bump Standards-Versiont to 4.1.4, no changes.
* Require at least libgdal-dev 2.3.0~ for experimental builds.
* Add patch to use C++11 for compatibility with GDAL 2.3.0.
* Update symbols for amd64.
2017-12-17 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-6) unstable; urgency=medium
* Move from experimental to unstable.
2017-12-14 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-6~exp1) experimental; urgency=medium
* Strip trailing whitespace from changelog.
* Require at least libgdal-dev 2.2.3 for experimental builds.
* Add lintian override for debian-watch-uses-insecure-uri.
* Add lintian override for python-foo-but-no-python3-foo.
* Bump Standards-Versiont to 4.1.2, no changes.
2017-10-03 - Bas Couwenberg <sebastic@debian.org>
liblas (1.8.1-5) unstable; urgency=medium
* Bump Standards-Versiont to 4.1.1, no changes.
* Require at least libgdal-dev 2.2.2 for GDAL transition.
* Update symbols for other architectures.
* Move from experimental to unstable.

See Also

Package Description
liblas-dev_1.8.1-10_amd64.deb ASPRS LiDAR data translation library - C++ development files
liblas3_1.8.1-10_amd64.deb ASPRS LiDAR data translation library - C++ version
liblasclasses1_2.6.7.6+ds-1+b1_amd64.deb GDAL add-on tools to perform useful raster processing - liblasClasses
liblaser-geometry-dev_1.6.4-6+b1_amd64.deb Robot OS laser geometry package - development files
liblaser-geometry0d_1.6.4-6+b1_amd64.deb Robot OS laser geometry package
liblash-compat-1debian0_1+dfsg0-5.1_amd64.deb LASH compatibility library
liblash-compat-dev_1+dfsg0-5.1_all.deb LASH compatibility library (development files)
liblasi-dev_1.1.0-2_amd64.deb development files and documentation for the LASi library
liblasi0_1.1.0-2_amd64.deb creation of PostScript documents containing Unicode symbols
liblasso-perl_2.6.0-2+b2_amd64.deb Library for Liberty Alliance and SAML protocols - Perl bindings
liblasso3-dev_2.6.0-2+b2_amd64.deb Library for Liberty Alliance and SAML protocols - development kit
liblasso3_2.6.0-2+b2_amd64.deb Library for Liberty Alliance and SAML protocols - runtime library
liblastfm-dev_1.0.9-1+b11_amd64.deb Last.fm web services library (Qt4 build) - development files
liblastfm-fingerprint1_1.0.9-1+b11_amd64.deb Last.fm fingerprinting library (Qt4 build)
liblastfm-fingerprint5-1_1.0.9-1+b11_amd64.deb Last.fm fingerprinting library (Qt5 build)
Advertisement
Advertisement